%define upstream_name    Dist-Zilla-Plugin-CopyReadmeFromBuild
%define upstream_version 0.0019

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Copy README after building (for SCM inclusion, etc.)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
CopyReadmeFromBuild will automatically copy the README from the build
directory into the distribution directory. This is so you can commit the
README to version control. GitHub, for example, likes to see a README

Dist::Zilla::Plugin::Readme will not like it if you already have a README,
so you'll have to disable that plugin, an example of which is:

    [@Filter]
    bundle = @Basic
    remove = Readme

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.900-9.mga8
+ Revision: 1494260
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.900-8.mga7
+ Revision: 1267517
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.900-7.mga6
+ Revision: 1026190
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.1.900-6.mga6
+ Revision: 933608
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.900-5.mga5
+ Revision: 748937
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.900-3.mga4
+ Revision: 510989
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.900-2.mga3
+ Revision: 366116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- imported package perl-Dist-Zilla-Plugin-CopyReadmeFromBuild


* Fri Aug 26 2011 cpan2dist 0.0019-1mga
- initial mageia release, generated with cpan2dist
